"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Resource = void 0;
exports.Resource = (node) => ({
    ...node,
    validate: (path, value, errors) => {
        const val = node.validate(path, value, errors);
        if (typeof value === 'string' && value.length !== 0 && !value.startsWith('minecraft:')) {
            return 'minecraft:' + val;
        }
        return val;
    }
});
