import { INode } from '../../nodes/Node';
export declare type IRange = number | {
    min?: number;
    max?: number;
    type?: 'uniform';
} | {
    n?: number;
    p?: number;
    type: 'binomial';
};
declare type RangeNodeConfig = {
    /** Whether only integers are allowed */
    integer?: boolean;
};
export declare const RangeNode: (config?: RangeNodeConfig | undefined) => INode<IRange>;
export {};
