import { INode } from './Node';
declare type ChoiceType = 'object' | 'list' | 'string' | 'number' | 'boolean' | 'never';
declare type Choice = [ChoiceType, INode<any>, (old: any) => any];
/**
 * Node that allows multiple types
 */
export declare const ChoiceNode: (choices: Choice[]) => INode<any>;
export declare const ObjectOrList: (node: INode<any>) => INode<any>;
export {};
